Codewarrior 7.2 required for MQX 3.2.1, but cannot find 7.2?

cancel
Showing results for 
Search instead for 
Did you mean: 

Codewarrior 7.2 required for MQX 3.2.1, but cannot find 7.2?

Jump to solution
2,845 Views
CarlFST60L
Senior Contributor II

I have been using Codwarrior 7.1 (Help > About says 5.9.0, Start Menu says 7.1). I have just downloaded MQX 3.2.1.

 

Now, when i go to install MQX 3.2.1 it says you need to use Codewarrior 7.2. So, I go run the codewarrior updater and it only finds the 7.1.1 and 7.1.2 patch. It does not find 7.2 as an update and I cannot find it on Freescale.com!

 

So off I go to find Codewarrior 7.2 on freescale.com, but all I find is Codewarrior Special Edition which says CW_Coldfire_7.1_SE.exe when you download. Where is Codewarrior 7.2?

 

I wont install anything until I know what I am doing is right.

 

Thanks in advance

Labels (1)
0 Kudos
1 Solution
185 Views
Nouchi
Senior Contributor II

Hello,

 

CW6.2 means CodeWarrior for microcontroller, so you can find it in the HCS08 or coldFire V1 section.

You can download Special edition here.

Now, MQX is ported for MCF51CN devices.

 

 

Emmanuel

 

 

View solution in original post

0 Kudos
7 Replies
185 Views
anthony_huereca
NXP Employee
NXP Employee

While unfortunately I do not have a solution for having the correct CW open up when clicking a .mcp file, it is possible to determine the difference between CW for Coldfire and CW for Microcontrollers. Click on Help > About Freescale CodeWarrior, and then click on the "Installed Product" button.

 

At the top of the dialog box that pops up, it will list the version of CodeWarrior that is currently running, along with all the service packs and patches that have been installed.

Message Edited by amh on 2009-06-29 05:07 PM
0 Kudos
185 Views
CarlFST60L
Senior Contributor II

Please replace 7.2 with 6.2 for the above post.

 

I did all the updates that Codewarrior allows and tried to install the new MQX and it still request that i install codewarrior 6.2

Message Edited by CarlFST60L on 2009-06-24 04:33 AM
0 Kudos
185 Views
PetrL
NXP Employee
NXP Employee

Hi,

 

if you are interested only in ColdFire V2 parts development, you can simply skip CodeWarrior for Microcontrollers 6.2 installation option (press Next in setup).

Codewarrior Coldfire 7.1 extensions will be installed. (Always close CodeWarrior before installation, otherwise Task Aware Debugging dll plugin can not be updated)

 

CodeWarrior for Microcontrollers 6.2 is IDE for ColdFire V1, for newly supported MCF51CN device. 

 

Regards,

Petr

 


 

0 Kudos
185 Views
CarlFST60L
Senior Contributor II

Thanks guys.

 

Codewarrior is very confusing with version control!

 

Who ever created that warning / message box when updating MQX should have put some more thought into explaining what was happening!

 

For the record and to get this off my chest, I run CW 6.1.2 for all my 8 bit HCS08 development, and 7.1.2 for my Coldfire V2 development. This is very poorly setup for people running both versions! When you double click the *.mcp file, it is not smart enough to launch the correct Codewarrior versions, AND, the icons are the same so you cannot 'choose program' as its impossible to tell which icon is which version. Also, I have no idea how to find out what version exactly is on each computer, unlike every other windows program where you just go 'help > about' and it will say the version / build details, mine all say 5.9.0 regardless of which version (i think is the IDE version or something)...

 

Sorry for the rant, the simple things often get to me.

 

 

Message Edited by CarlFST60L on 2009-06-24 11:27 PM
0 Kudos
185 Views
JWW
Contributor V

Carl,

 

Thanks for the feedback.  We recognize the confusion on CW revs.  This will be fixed in some new releases scheduled for next year.  I'll also ping the CW team about making the MCP files a bit more useful in determining which tool gets invoked.

 

Thanks

JWW

 

0 Kudos
185 Views
CarlFST60L
Senior Contributor II
Thanks for the replies guys, good to know you guys are around!
0 Kudos
186 Views
Nouchi
Senior Contributor II

Hello,

 

CW6.2 means CodeWarrior for microcontroller, so you can find it in the HCS08 or coldFire V1 section.

You can download Special edition here.

Now, MQX is ported for MCF51CN devices.

 

 

Emmanuel

 

 

View solution in original post

0 Kudos